﻿using StudiApp.ViewModels;

namespace StudiApp.Test.Unit.ViewModelsTests.SettingsModule;

[TestFixture]
public class SemestersCreateViewModelTest
{
	[SetUp]
	public void SetUp()
	{
		_helper = new SettingsModuleTestHelper();
		_vm = new SemestersCreateViewModel(_helper.ViewModelService);
	}

	private SemestersCreateViewModel _vm = null!;
	private SettingsModuleTestHelper _helper = null!;

	[Test]
	public void AppearingCommandTest()
	{
		_vm.AppearingCommand.Execute(null);

		Assert.Multiple(() =>
		{
			Assert.That(_vm.Semester.Name, Is.EqualTo(""));
			Assert.That(_vm.Semester.DateRange.Start, Is.EqualTo(DateTime.Today));
			Assert.That(_vm.Semester.DateRange.End, Is.EqualTo(DateTime.Today.AddMonths(6)));
		});
	}
}