﻿using Moq;
using StudiApp.Models;
using StudiApp.ViewModels;

namespace StudiApp.Test.Unit.ViewModelsTests.ToDoModule;

[TestFixture]
public class ToDoNewViewModelTest
{
	[SetUp]
	public void Setup()
	{
		helper = new ToDoModuleTestHelper();
		viewModel = new ToDoNewViewModel(helper.ViewModelService);
	}

	private ToDoModuleTestHelper helper;
	private ToDoNewViewModel viewModel;

	[Test]
	public void OnAppearing_WithIdAndCourse_LoadsCoursesIsEditAndSelectedCourse()
	{
		var toDo = new ToDo {Id = 5, CourseId = 1};
		helper.RepositoryManagerMock.Setup(rm => rm.GetToDo(It.IsAny<int>())).Returns(Task.FromResult(toDo));

		viewModel.OnAppearing().Wait();

		Assert.Multiple(() =>
		{
			Assert.That(viewModel.IsEdit, Is.EqualTo(false));
			Assert.That(viewModel.Courses, Is.EquivalentTo(helper.GetCourses().Result));
			Assert.That(viewModel.SelectedCourse, Is.EqualTo(null));
		});
	}
}