using SQLite;
using SQLiteNetExtensions.Attributes;
using StudiApp.Interfaces;

namespace StudiApp.Models;

public partial class Course : IRepositoryItem<int>, ISemesterMember
{
	public string Name { get; set; }
	public string LecturerName { get; set; }
	public int Ects { get; set; }
	public bool IsPassed { get; set; }
	public string Description { get; set; }

	[OneToMany] public List<Lecture> Lectures { get; set; }

	[OneToMany] public List<Mark> Marks { get; set; }

	[OneToMany] public List<ToDo> ToDos { get; set; }

	[PrimaryKey] [AutoIncrement] public int Id { get; set; }

	[ForeignKey(typeof(Semester))] public int SemesterId { get; set; }

	[ManyToOne] public Semester Semester { get; set; }
}