﻿namespace StudiApp.Models;

public partial class DayTime
{
	public TimeSpan StartTimeAsTimeSpan
	{
		get => StartTime.ToTimeSpan();
		set => StartTime = TimeOnly.FromTimeSpan(value);
	}

	public TimeSpan EndTimeAsTimeSpan
	{
		get => EndTime.ToTimeSpan();
		set => EndTime = TimeOnly.FromTimeSpan(value);
	}

	public DateTime GetStartTimeOfFirstOccurrence(DateTime start)
	{
		return GetFirstOccurrence(start).AddTicks(StartTime.Ticks);
	}

	public DateTime GetEndTimeOfFirstOccurrence(DateTime start)
	{
		return GetFirstOccurrence(start).AddTicks(EndTime.Ticks);
	}

	private DateTime GetFirstOccurrence(DateTime start)
	{
		var days = ((int) DayOfWeek - (int) start.DayOfWeek + 7) % 7;
		return start.AddDays(days);
	}
}