using SQLite;
using SQLiteNetExtensions.Attributes;
using StudiApp.Interfaces;

namespace StudiApp.Models;

public class Lecture : IRepositoryItem<int>, ICourseMember
{
	public string Name { get; set; }
	public string Room { get; set; }

	[TextBlob("DayTimeBlobbed")] public DayTime DayTime { get; set; }

	public string DayTimeBlobbed { get; set; }

	[ForeignKey(typeof(Course))] public int CourseId { get; set; }

	[ManyToOne] public Course Course { get; set; }

	[PrimaryKey] [AutoIncrement] public int Id { get; set; }
}