﻿using StudiApp.Views;

namespace StudiApp.Models;

public class NextUpItem
{
	public NextUpItem(int id, string model, string title, string room, DayOfWeek day, TimeOnly time, string timeString)
	{
		Id = id;
		SetView(model);
		Title = title;
		Room = room;
		Day = GetDayString(day);
		Time = time;
		TimeString = timeString;
		IsLectureItem = model == nameof(Lecture);
	}

	public int Id { get; set; }
	public string View { get; set; }
	public string Title { get; set; }
	public string Room { get; set; }
	public string Day { get; set; }
	public TimeOnly Time { get; set; }
	public string TimeString { get; set; }
	public bool IsLectureItem { get; set; }

	private static string GetDayString(DayOfWeek dayOfWeek)
	{
		var currentDay = DateTime.Now.DayOfWeek;
		return currentDay == dayOfWeek ? "Today" : "Tomorrow";
	}

	private void SetView(string model)
	{
		View = model == nameof(Lecture) ? nameof(CoursesDetailView) : nameof(ToDoEditView);
	}
}