using SQLite;
using SQLiteNetExtensions.Attributes;
using StudiApp.Interfaces;

namespace StudiApp.Models;

public partial class ToDo : IRepositoryItem<int>, ICourseMember
{
	public string Name { get; set; }
	public bool IsCompleted { get; set; }
	public string Description { get; set; }
	public DateTime Due { get; set; }

	[ForeignKey(typeof(Course))] public int CourseId { get; set; }

	[ManyToOne] public Course Course { get; set; }

	[PrimaryKey] [AutoIncrement] public int Id { get; set; }

	public override bool Equals(object obj)
	{
		if (obj == null || GetType() != obj.GetType()) return false;

		var otherToDo = (ToDo) obj;

		return Id == otherToDo.Id
		       && Name == otherToDo.Name
		       && IsCompleted == otherToDo.IsCompleted
		       && Description == otherToDo.Description
		       && Due == otherToDo.Due
		       && CourseId == otherToDo.CourseId;
	}

	public override int GetHashCode()
	{
		var hash = 17;

		hash = hash * 31 + Id.GetHashCode();
		hash = hash * 31 + (Name != null ? Name.GetHashCode() : 0);
		hash = hash * 31 + IsCompleted.GetHashCode();
		hash = hash * 31 + (Description != null ? Description.GetHashCode() : 0);
		hash = hash * 31 + Due.GetHashCode();
		hash = hash * 31 + CourseId.GetHashCode();

		return hash;
	}
}