﻿using StudiApp.Interfaces;

namespace StudiApp.Services.Dialog;

public class DialogService : IDialogService
{
	public Task<bool> ShowDeleteConfirmationAsync(string nameOfType, string nameOfObject = "")
	{
		var message = string.IsNullOrEmpty(nameOfObject)
			? $"Are you sure you want to delete the {nameOfType} {nameOfObject}?"
			: $"Are you sure you want to delete the {nameOfType}?";
		return Application.Current?.MainPage?.DisplayAlert("Warning", message, "YES", "NO");
	}


	public Task ShowAlertAsync(string message)
	{
		return Application.Current?.MainPage?.DisplayAlert("Error", message, "OK");
	}
}