﻿using Microsoft.Extensions.Logging;
using StudiApp.Interfaces;

namespace StudiApp.Services.ViewModelService;

public class ViewModelService : IViewModelService
{
	public ViewModelService(
		IDialogService dialogService,
		INavigationManager navigationManager,
		IRepositoryManager repositoryManager,
		ILogger<ViewModelService> logger,
		IInputValidator inputValidator)
	{
		RepositoryManager = repositoryManager;
		DialogService = dialogService;
		NavigationManager = navigationManager;
		Logger = logger;
		InputValidator = inputValidator;
	}

	public IDialogService DialogService { get; set; }
	public IInputValidator InputValidator { get; set; }
	public INavigationManager NavigationManager { get; set; }
	public IRepositoryManager RepositoryManager { get; set; }
	public ILogger<ViewModelService> Logger { get; set; }
}