﻿using CommunityToolkit.Mvvm.Input;
using Microsoft.Extensions.Logging;
using StudiApp.Interfaces;

namespace StudiApp.ViewModels;

[QueryProperty("Id", "Id")]
public partial class CoursesEditViewModel : CoursesViewModelBase
{
	public CoursesEditViewModel(IViewModelService viewModelService) : base(viewModelService)
	{
	}

	public int Id { get; set; }

	[RelayCommand]
	public new async Task OnAppearing()
	{
		var course = await ViewModelService.RepositoryManager.GetCourse(Id);

		SetCourse(course);
		SetLectures(course.Lectures);

		ViewModelService.Logger.LogInformation("Loaded {CourseName} from Database", Course.Name);

		await base.OnAppearing();

		ViewModelService.Logger.LogInformation("{ViewModel} initialized", nameof(CoursesEditViewModel));
	}
}