﻿using CommunityToolkit.Mvvm.Input;
using Microsoft.Extensions.Logging;
using StudiApp.Interfaces;
using StudiApp.Models;

namespace StudiApp.ViewModels;

public partial class CoursesNewViewModel : CoursesViewModelBase
{
	public CoursesNewViewModel(IViewModelService viewModelService) : base(viewModelService)
	{
	}

	private static Course CreateEmptyCourse()
	{
		return new Course
		{
			Lectures = new List<Lecture>(),
			Marks = new List<Mark>(),
			ToDos = new List<ToDo>()
		};
	}

	[RelayCommand]
	public new async Task OnAppearing()
	{
		var emptyCourse = CreateEmptyCourse();
		SetCourse(emptyCourse);

		var emptyLecture = CreateEmptyLecture();
		SetLectures(new List<Lecture> {emptyLecture});

		await base.OnAppearing();

		ViewModelService.Logger.LogInformation("{ViewModel} initialized", nameof(CoursesNewViewModel));
	}
}