﻿using CommunityToolkit.Mvvm.Input;
using Microsoft.Extensions.Logging;
using StudiApp.Interfaces;
using StudiApp.Models;

namespace StudiApp.ViewModels;

public partial class MarksCreateViewModel : MarksOperationsBaseViewModel
{
	public MarksCreateViewModel(IViewModelService viewModelService) : base(viewModelService)
	{
	}

	private static Mark CreateEmptyMark()
	{
		return new Mark();
	}

	[RelayCommand]
	public new void OnAppearing()
	{
		var emptyMark = CreateEmptyMark();
		SetMark(emptyMark);
		SetPercentage("");

		base.OnAppearing();

		ViewModelService.Logger.LogInformation($"{nameof(MarksCreateViewModel)} initialized");
	}
}