﻿using CommunityToolkit.Mvvm.Input;
using Microsoft.Extensions.Logging;
using StudiApp.Interfaces;

namespace StudiApp.ViewModels;

[QueryProperty("Id", "Id")]
public partial class MarksEditViewModel : MarksOperationsBaseViewModel
{
	public MarksEditViewModel(IViewModelService viewModelService) : base(viewModelService)
	{
	}

	public int Id { get; set; }

	[RelayCommand]
	public new async Task OnAppearing()
	{
		base.OnAppearing();

		var mark = await ViewModelService.RepositoryManager.GetMark(Id);

		ViewModelService.Logger.LogInformation("Loaded mark from Database");

		SetMark(mark);
		SetPercentage(mark.PercentageString);

		ViewModelService.Logger.LogInformation($"{nameof(MarksEditViewModel)} initialized");
	}
}