﻿using CommunityToolkit.Mvvm.Input;
using Microsoft.Extensions.Logging;
using StudiApp.Interfaces;
using StudiApp.Models;

namespace StudiApp.ViewModels;

public partial class SemestersCreateViewModel : SemestersViewModelBase
{
	private const int MonthsInSemester = 6;

	public SemestersCreateViewModel(IViewModelService viewModelService) : base(viewModelService)
	{
	}

	[RelayCommand]
	public void OnAppearing()
	{
		Semester = GetEmptySemester();
		_viewModelService.Logger.LogInformation($"{nameof(CoursesNewViewModel)} initialized");
	}

	private static Semester GetEmptySemester()
	{
		return new Semester
		{
			Name = "",
			DateRange = new DateRange
			{
				Start = DateTime.Today,
				End = DateTime.Today.AddMonths(MonthsInSemester)
			}
		};
	}
}