﻿using CommunityToolkit.Mvvm.Input;
using Microsoft.Extensions.Logging;
using StudiApp.Interfaces;

namespace StudiApp.ViewModels;

[QueryProperty("Id", "Id")]
public partial class SemestersEditViewModel : SemestersViewModelBase
{
	public SemestersEditViewModel(IViewModelService viewModelService) : base(viewModelService)
	{
	}

	public int Id { get; set; }

	[RelayCommand]
	public async Task OnAppearing()
	{
		var semester = await _viewModelService.RepositoryManager.GetSemester(Id);
		Semester = semester;

		_viewModelService.Logger.LogInformation($"{nameof(SemestersEditViewModel)} initialized");
	}
}