﻿using CommunityToolkit.Mvvm.Input;
using Microsoft.Extensions.Logging;
using StudiApp.Interfaces;

namespace StudiApp.ViewModels;

[QueryProperty("Id", "Id")]
public partial class ToDoEditViewModel : ToDoViewModelBase
{
	public ToDoEditViewModel(IViewModelService viewModelService) : base(viewModelService)
	{
	}

	public int Id { get; set; }

	[RelayCommand]
	public async Task OnAppearing()
	{
		var toDo = await ViewModelService.RepositoryManager.GetToDo(Id);

		await base.OnAppearing(toDo);

		ViewModelService.Logger.LogInformation("{ViewModel} initialized", nameof(CoursesNewViewModel));
	}
}